data_ingestion_id_list = []
data_analysis_id_list = []
data_array_id_list = []
data_stream_id_list = []
progress_indicator_id_list = []

for i in context.getAggregateRelatedValueList(portal_type='Data Ingestion Line'):
  data_stream = i.getAggregateValue(portal_type='Data Stream')
  if data_stream:
    if data_stream.getId() not in data_stream_id_list:
      data_stream_id_list.append(data_stream.getId())
  if i.getParentId() not in data_ingestion_id_list:
    data_ingestion_id_list.append(i.getParentId())

for i in context.getAggregateRelatedValueList(portal_type='Data Analysis Line'):
  data_array = i.getAggregateValue(portal_type='Data Array')
  if data_array:
    if data_array.getId() not in data_array_id_list:
      data_array_id_list.append(data_array.getId())

  indicator = i.getAggregateValue(portal_type='Progress Indicator')
  if indicator:
    if indicator.getId() not in progress_indicator_id_list:
      progress_indicator_id_list.append(indicator.getId())
  if i.getParentId() not in data_analysis_id_list:
    data_analysis_id_list.append(i.getParentId())

context.data_stream_module.manage_delObjects(ids=data_stream_id_list)
context.data_ingestion_module.manage_delObjects(ids=data_ingestion_id_list)
context.data_array_module.manage_delObjects(ids=data_array_id_list)
context.data_analysis_module.manage_delObjects(ids=data_analysis_id_list)
context.progress_indicator_module.manage_delObjects(ids=progress_indicator_id_list)

context.Base_redirect('view',keep_items={'portal_status_message': 'Ingestion Restarted'})
